Subject: Re: bug#15441: [PATCH] tests: ensure neither \s nor \S matches an invalid multibyte character

From: Jim Meyering <[email-masked]>
Date: Mon, 23 Sep 2013 10:43:49 -0700

On Mon, Sep 23, 2013 at 6:26 AM, Stefano Lattarini
<[email-masked]> wrote:
> Hi Jim.
>
> On 09/23/2013 06:18 AM, Jim Meyering wrote:
>>
>> Here's a test for the original problem, which is also fixed by the
>> preceding patch:
>>
>> ...
>
>>
>>
>> +grep '^\S$' in > out-S && fail=1
>
>> +compare /dev/null out-S || exit=1
>>
> Shouldn't this be "|| fail=1"?
>
>> +grep '^\s$' in > out-s && fail=1
>> +compare /dev/null out-s || exit=1

Yes, there are two typos there, which I'll fix by s/exit/fail/
(actually I saw it as I typed, and fixed one or two, but forgot to fix
the others -- good catch!).
Thanks for the review!